/* ZBOSS Zigbee software protocol stack
 *
 * Copyright (c) 2012-2020 DSR Corporation, Denver CO, USA.
 * www.dsr-zboss.com
 * www.dsr-corporation.com
 * All rights reserved.
 *
 * This is unpublished proprietary source code of DSR Corporation
 * The copyright notice does not evidence any actual or intended
 * publication of such source code.
 *
 * ZBOSS is a registered trademark of Data Storage Research LLC d/b/a DSR
 * Corporation
 *
 * Commercial Usage
 * Licensees holding valid DSR Commercial licenses may use
 * this file in accordance with the DSR Commercial License
 * Agreement provided with the Software or, alternatively, in accordance
 * with the terms contained in a written agreement between you and
 * DSR.
 */
/* PURPOSE: Workaround to provide used access to the zb_zdo_do_set_channel
*/

#ifndef ZB_SET_CHANNEL_LOCALLY_H
#define ZB_SET_CHANNEL_LOCALLY_H 1

/**
  Prototype for the internal function

  @warning Do not use directly, instead use @ref zb_set_channel_locally

  @param _channel - decimal representation of channel number
*/
void zb_zdo_do_set_channel(zb_uint8_t channel);

/**
  Changes channel without updating the page

  @warning intended to be used as a callback for the zb_zdo_mgmt_nwk_update_req function,
           other usage may result in undefined behaviour

*/
#define zb_set_channel_locally zb_zdo_do_set_channel

#endif /* ZB_SET_CHANNEL_LOCALLY_H */